//    Final Release of Patch v86P-6
//
//    Converted to KEAterm script by Lee Wolfe on 01-Mar-2002 to patch
//    HSG80 v86P-5 to v86P-6. Applicable to v86P-1 code build stream and
//    v86P-4 card image. Pre-requisite patches v86P-2, -3, -4 and -5
//    must be installed prior to this patch.
//
//    *************** COMPAQ COMPUTER CORPORATION - DISCLAIMER **************
//    * In accordance to Compaq's commitment to maintain the highest level  *
//    * of customer satisfaction, this patch is being provided to customers *
//    * who have purchased the referenced Storageworks product that is      *
//    * currently covered by one of Compaq's  extensive warranty plans and  *
//    * is also provided to those customers not yet underCompaq's extended  *
//    * warranty plan as a courtesy.  The availability of this patch is in  *
//    * no way an obligation by Compaq to continue this practice in the     *
//    * future.                                                             *
//    ***********************************************************************
//
//    ****************************** WARNING ********************************
//    *                                                                     *
//    *   Please be sure to cut and paste EXACTLY as indicated.  Any        *
//    *   addition or subtraction of pertinent patch data will mean the     *
//    *   patch will not load due to a checksum failure and the controller  *
//    *   will remain at it's original version.                             *
//    *                                                                     *
//    *   As always, any critical data should be backed up prior to         * 
//    *   performing any updates.                                           *
//    ***********************************************************************
//
//    PATCH v86P-6
//
//    Patch Title: Container cnt, Assoc_Set, RCS Dev HW error 
//    ACS Version: HSG80 v86  / HSG60 v86
//    Patch Number: 6
//    Date: 28-Feb-2002
//
//    I. Patch Description:
//
//    Problem Symptoms:  
//    1. When container count >127, HSG crash w/LFC=0B0A0100
//    2. Association set member can get hung in available (during failover)
//       and take a long time (>2 minutes) to be put online on target
//       controller
//    3. Remote copy Set normalization terminates on Drv HW Error. 
//       set will fail to completely finish.
//
//    Resolution: 
//    1. Change container count to = 170
//    2. Force move of ASMs to online when they are available.
//    3. Add Raid_remove call to error path to ensure ejection of drive.
//       Initiate retry on RCS I/O failure.
//
//    ----- Begin v86P-6 Script -----
//
MsgBox ("Beginning installation of patch v86P-6. Controller must be at v86P-5 to continue.")
//
CR = "^M"
Send ( CR )
Send ( "run clcp" + CR )
Send ( "2" + CR )
Send ( "1" + CR )
Send ( "y" + CR )
Send ( "V86P" + CR )
Send ( "357" + CR )
Send ( "0" + CR )
Send ( "6" + CR )
Send ( "1" + CR )
Wait ( 20 )
Send ( "C00AA824" + CR )
Send ( "8CA000AA" + CR )
Send ( "1" + CR )
Send ( "C00AA854" + CR )
Send ( "8C8000AB" + CR )
Send ( "8" + CR )
Send ( "C00D1810" + CR )
Send ( "9081206C" + CR )
Send ( "86003000" + CR )
Send ( "C00D1540" + CR )
Wait ( 20 )
Send ( "80A92056" + CR )
Send ( "8CA0007F" + CR )
Send ( "32A54010" + CR )
Send ( "84003000" + CR )
Send ( "C0FFF480" + CR )
Send ( "7" + CR )
Send ( "C00D1834" + CR )
Send ( "80A1214C" + CR )
Send ( "322520D0" + CR )
Send ( "8CA00004" + CR )
Wait ( 20 )
Send ( "92A12104" + CR )
Send ( "5C801605" + CR )
Send ( "8C891000" + CR )
Send ( "5C901E01" + CR )
Send ( "2" + CR )
Send ( "C015E888" + CR )
Send ( "84003000" + CR )
Send ( "C0FFF538" + CR )
Send ( "59" + CR )
Send ( "C0FFF480" + CR )
Wait ( 20 )
Send ( "90A1206C" + CR )
Send ( "88452158" + CR )
Send ( "8CA21C88" + CR )
Send ( "8CA51E14" + CR )
Send ( "8CB03000" + CR )
Send ( "C0FA42E0" + CR )
Send ( "88ADBD14" + CR )
Send ( "00000070" + CR )
Send ( "8CA03000" + CR )
Send ( "0000FFFE" + CR )
Wait ( 20 )
Send ( "32A54078" + CR )
Send ( "8CA55C95" + CR )
Send ( "8CA51E14" + CR )
Send ( "8C3D9D14" + CR )
Send ( "80A1E078" + CR )
Send ( "35352064" + CR )
Send ( "90A1E0BC" + CR )
Send ( "88A5200E" + CR )
Send ( "350D2058" + CR )
Send ( "5C801608" + CR )
Wait ( 20 )
Send ( "8C880000" + CR )
Send ( "86003000" + CR )
Send ( "C0079F40" + CR )
Send ( "90A120F4" + CR )
Send ( "58A50997" + CR )
Send ( "92A120F4" + CR )
Send ( "5CA01E02" + CR )
Send ( "82A120F3" + CR )
Send ( "90A9206C" + CR )
Send ( "92A560C0" + CR )
Wait ( 20 )
Send ( "5C901E04" + CR )
Send ( "92912104" + CR )
Send ( "5C801604" + CR )
Send ( "5C881605" + CR )
Send ( "86003000" + CR )
Send ( "C00CF880" + CR )
Send ( "9081206C" + CR )
Send ( "5C881E04" + CR )
Send ( "84003000" + CR )
Send ( "C00BB2F0" + CR )
Wait ( 20 )
Send ( "5CA01E04" + CR )
Send ( "92A12104" + CR )
Send ( "5C801604" + CR )
Send ( "5C881605" + CR )
Send ( "84003000" + CR )
Send ( "C00D0E50" + CR )
Send ( "90A5A33C" + CR )
Send ( "5C801616" + CR )
Send ( "37CD2024" + CR )
Send ( "58A50999" + CR )
Wait ( 20 )
Send ( "92A5A33C" + CR )
Send ( "5C481616" + CR )
Send ( "90A5A108" + CR )
Send ( "5C881E01" + CR )
Send ( "86051000" + CR )
Send ( "84003000" + CR )
Send ( "C015E4B4" + CR )
Send ( "84003000" + CR )
Send ( "C015EB40" + CR )
Send ( "0" + CR )
Wait ( 20 )
Send ( "5587F375" + CR )
Send ( "3" + CR )
Send ( "0" + CR )
//
//    ----- End v86P-6 Script -----
//
MsgBox ("Patch v86P-6 has been installed. Restart controller for patch to take affect. If dual controllers, patch other controller now.")
//